html,
body {
    min-width: 290px;
    color: #4d4e53;
    background-color: #c7c4c4;
    font-family: "Open Sans", Arial, sans-serif;
    line-height: 1.5;
}

#navbar {
    position: fixed;
    width: 300px;
    height: 100%;
    background-color: #bf407c;
    left: 0px;
    top: 0px;
    border-color: red;
    border-right: solid;
    min-width: 290px;
}

header {
    text-align: center;
    margin-top: 20px;
    color: black;
    font-size: 1.8em;
    font-weight: thin;
}

#main-doc header {
    text-align: left;
    margin: 0px;
}

#navbar ul {
    height: 86.5%;
    padding: 0;
    overflow-y: auto;
    overflow-x: hidden;
}

#navbar li {
    color: #000000;
    border-top: 2px solid;
    list-style: none;
    position: relative;
    width: 100%;
}

#navbar a {
    display: block;
    text-decoration: none;
    cursor: pointer;
    color: #ffffff;
    padding: 30px 30px;
    text-align: center;
}

#main-doc {
    position: absolute;
    margin-left: 310px;
    padding: 20px;
    margin-bottom: 110px;
}

section article {
    color: #4d4e53;
    margin: 15px;
    font-size: 0.96em;
}

section li {
    margin: 15px 0px 0px 20px;
}

code {
    display: block;
    text-align: left;
    white-space: pre-line;
    position: relative;
    word-break: normal;
    word-wrap: normal;
    line-height: 2;
    background-color: #f7f7f7;
    padding: 15px;
    margin: 10px;
    border-radius: 5px;
}

@media only screen and (max-width: 815px) {
    /* For mobile phones: */
    #navbar ul {
      border: 1px solid;
      height: 207px;
      color: aqua;
    }

    #navbar {
        background-color: white;
        position: absolute;
        top: 0;
        padding: 0;
        margin: 0;
        width: 100%;
        max-height: 275px;
        border: none;
        z-index: 1;
        border-bottom: 2px solid;
        text-align: left;
      }
      
      #navbar a{
          color:black
      }
      #main-doc {
        position: relative;
        margin-left: 0px;
        margin-top: 270px;
      }
    }

    @media only screen and (max-width: 400px) {
        #main-doc {
          margin-left: -10px;
        }
      
        code {
          margin-left: -20px;
          width: 100%;
          padding: 15px;
          padding-left: 10px;
          padding-right: 45px;
          min-width: 233px;
        }
      }